-- 部署テーブルの作成
CREATE TABLE DEPT (
  DEPTNO   CHAR(2)     $PRIMARY_KEY,
  DEPTNAME VARCHAR(40) UNIQUE NOT NULL
);
-- 役職テーブルの作成
CREATE TABLE POS (
  POSCODE  CHAR(1)     $PRIMARY_KEY,
  POSNAME  VARCHAR(20) UNIQUE NOT NULL
);
-- 社員テーブルの作成
CREATE TABLE EMP (
  EMPNO    CHAR(5)     $PRIMARY_KEY,
  EMPNAME  VARCHAR(40) NOT NULL,
  POSCODE  CHAR(1)     NOT NULL REFERENCES POS(POSCODE),
  AGE      INTEGER     CHECK(AGE >= 0) 
);
-- 部員テーブルの作成
CREATE TABLE MEMBER (
  DEPTNO   CHAR(2)     NOT NULL REFERENCES DEPT(DEPTNO),
  EMPNO    CHAR(5)     NOT NULL REFERENCES EMP(EMPNO),
  PRIMARY KEY(DEPTNO, EMPNO)
);