/* 口座テーブルを副問い合わせにした場合 */
SELECT K.口座番号, K.名義, K.残高,
       T.日付, T.取引事由ID, T.入金額, T.出金額
  FROM 取引 AS T
  JOIN (SELECT 口座番号, 名義, 残高
	      FROM 口座
		 WHERE 残高 >= 5000000) AS K
	ON T.口座番号 = K.口座番号
 WHERE T.入金額 >= 1000000
    OR T.出金額 >= 1000000;

/* 取引テーブルを副問い合わせにした場合 */
SELECT K.口座番号, K.名義, K.残高,
       T.日付, T.取引事由ID, T.入金額, T.出金額
  FROM 口座 AS K
  JOIN (SELECT 口座番号, 日付, 取引事由ID, 入金額, 出金額
          FROM 取引
		 WHERE 入金額 >= 1000000
		    OR 出金額 >= 1000000) AS T
	ON K.口座番号 = T.口座番号
 WHERE K.残高 >= 5000000;